Skip to main content
POST
/
api
/
signals
/
{id}
/
archive
Archive signal
curl --request POST \
  --url https://app.outlit.ai/api/signals/{id}/archive \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "commandId": "<string>",
  "commandVersion": 123,
  "correlationId": "<string>",
  "result": {
    "operationId": "<string>",
    "status": "<string>",
    "resources": [
      {
        "type": "<string>",
        "id": "<string>"
      }
    ],
    "data": {
      "signal": {
        "id": "<string>",
        "archivedAt": "2023-11-07T05:31:56Z"
      }
    },
    "warnings": [
      "<string>"
    ],
    "auditId": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Outlit API key using the Bearer ok_... format.

Path Parameters

id
string<uuid>
required

Signal ID.

Response

Archive signal completed.

ok
boolean
required
commandId
string
required
Allowed value: "signal.archive"
commandVersion
integer
required
correlationId
string
required
result
object
required